Reset (delete) user’s Transaction Pass
🔄 Reset Transaction Pass API
This API allows enterprise applications to reset transaction password and transaction password history for a given user present in the DITTO-ID system.
This API clears:
- user’s transaction password
- transaction password history if the “retain.transactionpass.history.on.user.reset”
module configuration is set to “false”.
To retain users transaction password history, the “retain.transactionpass.history.on.user.reset” configuration should be set to “true” (can be done via GatewayManager admin portal > Module Config Management > Common Config > search and edit > Reload Services).
When transaction password history is retained, the current transaction password is also retained in history before reset.
Note that this API does not affect user status.
🔗 Endpoint
DELETE https://REL-ID-SERVER-IP:9442/v1/users/USERID/transactionpass
🔐 Authorization
Authorization: Bearer <access_token>
Content-Type: application/json🔧 Path Parameter
| Parameter | Required | Description |
|---|---|---|
userId | ✅ Yes | Ditto ID user ID whose transaction pass is to be reset/deleted. |
📥 Request Body
NONE/Blank🧾 Example Request
DELETE /v1/users/abc1/transactionpass
Authorization: Bearer <token>
Content-Type: application/json✅ Success Response
HTTP 200 OK❌ Failure Responses
| HTTP Code | Scenario | Message Example |
|---|---|---|
404 | User does not exist | "User not found for userId: testuser" |
422 | If user is present but
Reset not allowed - user is in DELETED, CREATED, or ONBOARDING status | "Reset transaction pass is not allowed for user in status: CREATED" |
500 | Unexpected error at server side | "Failed to reset transaction pass" |
❌ Sample Failure Responses
🔍 404 - User Not Found
{
"timeStamp": "2026-08-07T12:33:32IST",
"status": 404,
"error": "Data not present.",
"message": "User not found for userId: testuser",
"path": "/v1/users/testuser/status"
}⚠️ 422 - Invalid Status or Transition
{
"timeStamp": "2026-08-07T12:33:32IST",
"status": 422,
"error": "Invalid Data.",
"message": "Reset transaction pass is not allowed for user in status: CREATED",
"path": "/v1/users/testuser/status"
}💥 500 - Internal Server Error
{
"timeStamp": "2026-08-07T12:33:32IST",
"status": 500,
"error": "Failed.",
"message": "Failed to reset transaction pass",
"path": "/v1/users/testuser/status"
}Updated 20 days ago
Did this page help you?
